< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package audit
  Definition Classes
    play
-  package model
  Definition Classes
    audit
- Audit
- AuditAsMagnet
- AuditTags
- DataCall
- DataEvent
- EventTypes
- ExtendedDataEvent
- MergedDataEvent
- TransactionFailure
- TransactionResult
- TransactionSuccess

c

uk.gov.hmrc.play.audit.model

# ExtendedDataEvent 

###

#### case class ExtendedDataEvent(auditSource: String, auditType: String, eventId: String = UUID.randomUUID().toString, tags: Map[String, String] = Map.empty, detail: JsValue = JsString(""), generatedAt: Instant = Instant.now) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ExtendedDataEvent
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ExtendedDataEvent(auditSource: String, auditType: String, eventId: String = UUID.randomUUID().toString, tags: Map[String, String] = Map.empty, detail: JsValue = JsString(""), generatedAt: Instant = Instant.now)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  val auditSource: String
6.  val auditType: String
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  val detail: JsValue
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  val eventId: String
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
12.  val generatedAt: Instant
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
19.  val tags: Map[String, String]
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped